#import "iCore.h"
#import "iXUI.h"
#import "iTableView.h"
@class b4i_main;
@class b4i_sub1;
@class b4i_sub2;
@class b4i_clstoastmsg;
@class _clvitem;
@class b4i_clsmenu;
@interface b4i_customlistview : B4IClass
{
@public B4XViewWrapper* __mbase;
@public B4XViewWrapper* __sv;
@public B4IList* __items;
@public float __dividersize;
@public NSString* __eventname;
@public NSObject* __callback;
@public int __defaulttextcolor;
@public int __defaulttextbackgroundcolor;
@public int __animationduration;
@public long long __lastreachendevent;
@public int __pressedcolor;
@public B4IXUI* __xui;
@public int __lastanimatedaction;
@public B4ILabelWrapper* __designerlabel;
@public BOOL __horizontal;
@public b4i_main* __main;
@public b4i_sub1* __sub1;
@public b4i_sub2* __sub2;

}- (NSString*)  _add:(B4XViewWrapper*) _pnl :(NSObject*) _value;
- (NSString*)  _addtextitem:(NSObject*) _text :(NSObject*) _value;
- (B4XViewWrapper*)  _asview;
- (NSString*)  _base_resize:(double) _width :(double) _height;
- (NSString*)  _class_globals;
@property (nonatomic)B4XViewWrapper* _mbase;
@property (nonatomic)B4XViewWrapper* _sv;
@property (nonatomic)B4IList* _items;
@property (nonatomic)float _dividersize;
@property (nonatomic)NSString* _eventname;
@property (nonatomic)NSObject* _callback;
@property (nonatomic)int _defaulttextcolor;
@property (nonatomic)int _defaulttextbackgroundcolor;
@property (nonatomic)int _animationduration;
@property (nonatomic)long long _lastreachendevent;
@property (nonatomic)int _pressedcolor;
@property (nonatomic)B4IXUI* _xui;
@property (nonatomic)int _lastanimatedaction;
@property (nonatomic)B4ILabelWrapper* _designerlabel;
@property (nonatomic)BOOL _horizontal;
@property (nonatomic)b4i_main* _main;
@property (nonatomic)b4i_sub1* _sub1;
@property (nonatomic)b4i_sub2* _sub2;
- (void)  _cleanafteranimation;
- (NSString*)  _clear;
- (B4XViewWrapper*)  _createlabel:(NSString*) _txt;
- (B4XViewWrapper*)  _createpanel:(NSString*) _paneleventname;
- (B4XViewWrapper*)  _createscrollview;
- (NSString*)  _designercreateview:(NSObject*) _base :(B4ILabelWrapper*) _lbl :(B4IMap*) _props;
- (int)  _finditemoffset:(int) _index;
- (B4XViewWrapper*)  _getbase;
- (int)  _getfirstvisibleindex;
- (_clvitem*)  _getitem:(int) _index;
- (int)  _getitemfromview:(B4XViewWrapper*) _v;
- (int)  _getlastvisibleindex;
- (B4XViewWrapper*)  _getpanel:(int) _index;
- (float)  _getpaneloffset:(B4XViewWrapper*) _p;
- (float)  _getscrollviewcontentsize;
- (float)  _getscrollviewoffset;
- (float)  _getscrollviewvisiblesize;
- (int)  _getsize;
- (NSObject*)  _getvalue:(int) _index;
- (NSString*)  _initialize:(B4I*) _ba :(NSObject*) _vcallback :(NSString*) _veventname;
- (NSString*)  _insertat:(int) _index :(B4XViewWrapper*) _pnl :(NSObject*) _value;
- (NSString*)  _insertatimpl:(int) _index :(B4XViewWrapper*) _pnl :(int) _itemsize :(NSObject*) _value :(int) _initialsize;
- (NSString*)  _insertattextitem:(int) _index :(NSObject*) _text :(NSObject*) _value;
- (NSString*)  _jumptoitem:(int) _index;
- (NSString*)  _panel_click;
- (void)  _panelclickhandler:(B4XViewWrapper*) _senderpanel;
- (NSString*)  _removeat:(int) _index;
- (NSString*)  _replaceat:(int) _index :(B4XViewWrapper*) _pnl :(int) _itemheight :(NSObject*) _value;
- (NSString*)  _resizeitem:(int) _index :(int) _itemheight;
- (NSString*)  _scrollhandler;
- (NSString*)  _scrolltoitem:(int) _index;
- (NSString*)  _setpaneloffset:(B4XViewWrapper*) _p :(float) _offset;
- (NSString*)  _setscrollviewcontentsize:(float) _f;
- (NSString*)  _setscrollviewoffset:(float) _offset;
- (NSString*)  _sv_scrollchanged:(int) _offsetx :(int) _offsety;
@end
@interface _clvitem:NSObject
{
@public BOOL _IsInitialized;
@public B4XViewWrapper* _Panel;
@public int _Size;
@public NSObject* _Value;
@public int _Color;
@public BOOL _TextItem;

}
@property (nonatomic)BOOL IsInitialized;
@property (nonatomic)B4XViewWrapper* Panel;
@property (nonatomic)int Size;
@property (nonatomic)NSObject* Value;
@property (nonatomic)int Color;
@property (nonatomic)BOOL TextItem;
-(void)Initialize;
@end
