﻿B4i=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=4.95
@EndOfDesignText@
'################################
'# Class:   clsMenu (iOS)       #
'# Version: 1.0                 #
'# Author:  Didier Juges        #
'################################

Sub Class_Globals
	Private pgParent As Page
	Private tvMenu As TableView ' requires TableView library
	Private tc As TableCell
End Sub ' Class_Globals

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize( ParentPage As Page, TextSize As Float )
	tvMenu.Initialize( "tvMenu", False )
	pgParent = ParentPage
	pgParent.RootPanel.AddView( tvMenu, 0, 0, 200, 200 )
	tvMenu.Visible = False
	If TextSize < 10 Then TextSize = 10
End Sub ' Initialize()

Public Sub AddMenuItem( Title As String, Event As String )
	tc = tvMenu.AddSingleLine( Title )
	tc.Tag = Event
End Sub ' AddMenuItem()

public Sub Show
	Dim pnl As Panel = pgParent.RootPanel
	tvMenu.Top = 0
	tvMenu.SizeToFit
	tvMenu.Left = pnl.Width - tvMenu.Width
	tvMenu.Visible = True
End Sub ' Show

Public Sub Hide
	tvMenu.Visible = False
End Sub ' Hide

public Sub tvMenu_SelectedChanged( SectionIndex As Int, Cell As TableCell )
	Dim s As String
	s = Cell.Tag & "_Click"
	CallSub( Main, s )
	tvMenu.Visible = False
End Sub '  tvMenu_SelectedChanged()

public Sub Visible As Boolean
	Return tvMenu.visible
End Sub ' Visible
