
#import "b4i_main.h"
#import "b4i_clstoastmsg.h"
#import "b4i_customlistview.h"
#import "b4i_clsmenu.h"
#import "b4i_sub1.h"
#import "b4i_sub2.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4I alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}

- (NSString*)  _application_background{
 //BA.debugLineNum = 64;BA.debugLine="Private Sub Application_Background";
 //BA.debugLineNum = 66;BA.debugLine="End Sub ' Application_Background";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[self initializeStaticModules];
 //BA.debugLineNum = 24;BA.debugLine="Private Sub Application_Start( Nav As NavigationCo";
 //BA.debugLineNum = 26;BA.debugLine="AppName = \"MenuExample\"";
self->__appname = @"MenuExample";
 //BA.debugLineNum = 27;BA.debugLine="Version = \"1.0.0\"";
self->__version = @"1.0.0";
 //BA.debugLineNum = 30;BA.debugLine="NavControl = Nav";
self->__navcontrol = _nav;
 //BA.debugLineNum = 31;BA.debugLine="PageMain.Initialize( \"PageMain\" )";
[self->__pagemain Initialize:self.bi :@"PageMain"];
 //BA.debugLineNum = 32;BA.debugLine="PageMain.Title = AppName";
[self->__pagemain setTitle:self->__appname];
 //BA.debugLineNum = 33;BA.debugLine="PageSub1.Initialize( \"PageSub1\" )";
[self->__pagesub1 Initialize:self.bi :@"PageSub1"];
 //BA.debugLineNum = 34;BA.debugLine="PageSub1.Title = \"Sub1\"";
[self->__pagesub1 setTitle:@"Sub1"];
 //BA.debugLineNum = 35;BA.debugLine="PageSub2.Initialize( \"PageSub2\" )";
[self->__pagesub2 Initialize:self.bi :@"PageSub2"];
 //BA.debugLineNum = 36;BA.debugLine="PageSub2.Title = \"Sub2\"";
[self->__pagesub2 setTitle:@"Sub2"];
 //BA.debugLineNum = 38;BA.debugLine="PageMain.RootPanel.LoadLayout( \"PageMain\" )";
[[self->__pagemain RootPanel] LoadLayout:@"PageMain" :self.bi];
 //BA.debugLineNum = 39;BA.debugLine="PageMain.RootPanel.Color = Colors.White";
[[self->__pagemain RootPanel] setColor:[[self->___c Colors] White]];
 //BA.debugLineNum = 41;BA.debugLine="NavControl.ShowPage( PageMain )";
[self->__navcontrol ShowPage:(UIViewController*)((self->__pagemain).object)];
 //BA.debugLineNum = 43;BA.debugLine="Menu.Initialize( PageMain, 17 )";
[self->__menu _initialize:self.bi :self->__pagemain :(float) (17)];
 //BA.debugLineNum = 44;BA.debugLine="Menu.AddMenuItem( \"Sub1\", \"mnuSub1\" )";
[self->__menu _addmenuitem:@"Sub1" :@"mnuSub1"];
 //BA.debugLineNum = 45;BA.debugLine="Menu.AddMenuItem( \"Sub2\", \"mnuSub2\" )";
[self->__menu _addmenuitem:@"Sub2" :@"mnuSub2"];
 //BA.debugLineNum = 46;BA.debugLine="Menu.AddMenuItem( \"About\", \"mnuAbout\" )";
[self->__menu _addmenuitem:@"About" :@"mnuAbout"];
 //BA.debugLineNum = 48;BA.debugLine="Toast.Initialize( PageMain, 17, True )";
[self->__toast _initialize:self.bi :self->__pagemain :(float) (17) :true];
 //BA.debugLineNum = 49;BA.debugLine="End Sub ' Application_Start()";
return @"";
}
- (NSString*)  _mnuabout_click{
 //BA.debugLineNum = 88;BA.debugLine="Sub mnuAbout_Click";
 //BA.debugLineNum = 89;BA.debugLine="Msgbox( AppName & \" v\" & Version & CRLF & \"Copyri";
[self->___c Msgbox:[@[self->__appname,@" v",self->__version,@"\n",@"Copyright (c) 2018",@"\n",@"www.eds-fl.com"] componentsJoinedByString:@""] :@""];
 //BA.debugLineNum = 90;BA.debugLine="End Sub ' mnuAbout_Click";
return @"";
}
- (NSString*)  _mnusub1_click{
 //BA.debugLineNum = 78;BA.debugLine="Sub mnuSub1_Click";
 //BA.debugLineNum = 79;BA.debugLine="PageMain.ResignFocus";
[self->__pagemain ResignFocus];
 //BA.debugLineNum = 80;BA.debugLine="Sub1.Show";
[self->__sub1 _show];
 //BA.debugLineNum = 81;BA.debugLine="End Sub ' mnuPreferences_Click";
return @"";
}
- (NSString*)  _mnusub2_click{
 //BA.debugLineNum = 83;BA.debugLine="Sub mnuSub2_Click";
 //BA.debugLineNum = 84;BA.debugLine="PageMain.ResignFocus";
[self->__pagemain ResignFocus];
 //BA.debugLineNum = 85;BA.debugLine="Sub2.Show";
[self->__sub2 _show];
 //BA.debugLineNum = 86;BA.debugLine="End Sub ' mnuWiFi_Click";
return @"";
}
- (NSString*)  _pagemain_appear{
 //BA.debugLineNum = 56;BA.debugLine="Sub PageMain_Appear";
 //BA.debugLineNum = 57;BA.debugLine="Toast.MessageShow( \"Page Main appears\", 1000 )";
[self->__toast _messageshow:@"Page Main appears" :(int) (1000)];
 //BA.debugLineNum = 58;BA.debugLine="End Sub ' PageMain_Appear";
return @"";
}
- (NSString*)  _pagemain_barbuttonclick:(NSString*) _tag{
 //BA.debugLineNum = 68;BA.debugLine="Sub PageMain_BarButtonClick( Tag As String)";
 //BA.debugLineNum = 69;BA.debugLine="If Tag = \"Menu\" Then";
if ([_tag isEqual:@"Menu"]) { 
 //BA.debugLineNum = 70;BA.debugLine="If Menu.Visible = False Then";
if ([self->__menu _visible]==false) { 
 //BA.debugLineNum = 71;BA.debugLine="Menu.Show";
[self->__menu _show];
 }else {
 //BA.debugLineNum = 73;BA.debugLine="Menu.hide";
[self->__menu _hide];
 };
 };
 //BA.debugLineNum = 76;BA.debugLine="End Sub ' Page_BarButtonClick";
return @"";
}
- (NSString*)  _pagemain_disappear{
 //BA.debugLineNum = 60;BA.debugLine="Sub PageMain_Disappear";
 //BA.debugLineNum = 61;BA.debugLine="Application_Background";
[self _application_background];
 //BA.debugLineNum = 62;BA.debugLine="End Sub ' PageMain_Disappear";
return @"";
}
- (NSString*)  _pagemain_resize:(int) _width :(int) _height{
 //BA.debugLineNum = 51;BA.debugLine="Private Sub PageMain_Resize( Width As Int, Height";
 //BA.debugLineNum = 53;BA.debugLine="Toast.MessageShow( \"This is page Main\", 1000 )";
[self->__toast _messageshow:@"This is page Main" :(int) (1000)];
 //BA.debugLineNum = 54;BA.debugLine="End Sub ' PageMain_Resize()";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];
[[b4i_sub1 new]initializeModule];
[[b4i_sub2 new]initializeModule];

}
- (NSString*)  _process_globals{
self->__sub1=[b4i_sub1 new];
self->__sub2=[b4i_sub2 new];
 //BA.debugLineNum = 13;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="Public AppName As String";
self->__appname = @"";
 //BA.debugLineNum = 17;BA.debugLine="Public Version As String";
self->__version = @"";
 //BA.debugLineNum = 18;BA.debugLine="Public NavControl As NavigationController";
self->__navcontrol = [B4INavigationControllerWrapper new];
 //BA.debugLineNum = 19;BA.debugLine="Public PageMain, PageSub1, PageSub2 As Page";
self->__pagemain = [B4IPage new];
self->__pagesub1 = [B4IPage new];
self->__pagesub2 = [B4IPage new];
 //BA.debugLineNum = 20;BA.debugLine="Private Menu As clsMenu";
self->__menu = [b4i_clsmenu new];
 //BA.debugLineNum = 21;BA.debugLine="Private Toast As clsToastMsg";
self->__toast = [b4i_clstoastmsg new];
 //BA.debugLineNum = 22;BA.debugLine="End Sub ' Process_Global";
return @"";
}
@end
